# BalancedInstanceLootPlugin

This plugin is used to provide balanced, instance-based loot when you're running with "Artifact of Sacrifice" and "Artifact of Command" enabled.

### [DEPRECATED] All changes have been incorporated into the [original](https://thunderstore.io/package/programit/InstanceBasedLoot/).

* Adds a console command `drop_rate <value>` to set a custom drop rate for items (0-100)
* Adds a shortcut `F3` to pull all unpicked items to you
* Ensures drop rates are appropriate for the number of players, since all drops are shared now.

Contributors:

* [tgrieger](https://github.com/tgrieger)
* Grey

## Changelog

2.0.8
- Update package description

2.0.7
- Teleporter loot no longer scales with player count
- cleanup and minor fixes
- Deprecate (use InstanceBasedLoot instead!)

2.0.6
- Player drop-rate now scales linearly with the number of players
- Balanced drop rates for Artifact of Swarms
- Implement bad luck protection

2.0.5
- Player drop-rate scaling is now inversely proportional the player-related combat director credit increases.

2.0.4
- Don't override manually specified drop rates
- Make player count scaling more consistent

2.0.3
- Avoid edge case where alt-tabbing can reenable hooks and circumvent the fix in 2.0.2
- Disable F3 shortcut when hooks are not loaded
- Tidy up logs

2.0.2
- Fixes a bug causing Artifacts to become unobtainable.
- Implement enemy drop chance scaling (elites have a higher drop chance than normies, and mending orbs have a 0% chance)
- Lower default minimum drop chance to 1%. This is less horrible than it sounds because of enemy scaling.

2.0.1
- Fix bug causing drop rate to decrease when it shouldn't
- Fix NRE spam from F3 keybind
- [DropInMultiplayer] Focusing the Application will fix loot being non-interactable if a player joins after a level has loaded. This issue otherwise resolves automatically at the beginning of each stage.

2.0.0
- Fix: No longer will despawn items when Artifact of Command is not enabled
- Balance: Reduces item drops depending on the number of players when Artifact of Command and Artifact of Sacrifice are enabled.
- Configurations:
    - Enable/Disable custom drop rates
    - Minimum drop rate
    - Drop rate mulitplier

